Subject: Re: e1000 driver problems

From: "Kok, Auke" <[email-masked]>
Date: Tue, 04 Dec 2007 09:19:11 -0800

Lukas Hejtmanek wrote:
> On Tue, Dec 04, 2007 at 11:02:23AM -0500, Matt Mathis wrote:
>> This is probably not an e1000 problem, but a general Ethernet "feature".  
>> If you defeat auto-negotiation to force the data rate, you implicitly 
>> defeat duplex negotiation as well.  You need to explicitly set the duplex 
>> mode.
> 
> ethtool reports, that I have full duplex line:

Matt was almost right - the link partner however might be working in half duplex
mode. in case you force speed/duplex, you are *required* to force the exact same
setting on the link partner, otherwise things like this can happen.

if you "just" want to disable gigabit speed, get the latest ethtool and run:

   ethtool -s eth0 advertise 0x0f

which keeps autonegotiation enabled but tells the e1000 card to _not_ advertise
gigabit speed capability to the link partner. The link partner and the e1000 can
then decide with autonegotiation whether to use 10half 10duplex 100half or 100full.

Auke